Snap for 8564071 from 401b2ec1bf5b2d4ddd7dc96ff7fdb1138f411465 to mainline-tethering-release

Change-Id: I4105d4065da8e23fe0f32a986c1d73b1316792ae
diff --git a/METADATA b/METADATA
new file mode 100644
index 0000000..d97975c
--- /dev/null
+++ b/METADATA
@@ -0,0 +1,3 @@
+third_party {
+  license_type: NOTICE
+}
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index 55fa170..95f4e35 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,7 +101,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 2802 ]; then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3103 ]; then
   echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi
@@ -258,7 +258,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 2802 ]; then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 3103 ]; then
   echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi
diff --git a/generate-packages.sh b/generate-packages.sh
index adcf05c..2ec4e22 100755
--- a/generate-packages.sh
+++ b/generate-packages.sh
@@ -84,7 +84,7 @@
 
     ONE_FILE_BASE=$(basename $ONE_FILE)
 
-    # Sanity check to make sure apk or jar files are not stripped
+    # Quick check to make sure apk or jar files are not stripped
     if [[ ${ONE_FILE_BASE} == *.apk ]] || [[ ${ONE_FILE_BASE} == *.jar ]]
     then
       zipinfo ${FILEDIR_NEW}/${ONE_FILE_BASE} | grep -q classes.dex > /dev/null
@@ -96,6 +96,7 @@
 
   done
   echo \ \ Copying $COMPANY-specific LICENSE
+  cp $COMPANY/COPYRIGHT ${MAKEFILEDIR} || echo \ \ \ \ Error copying COPYRIGHT
   cp $COMPANY/LICENSE ${MAKEFILEDIR} || echo \ \ \ \ Error copying LICENSE
   echo \ \ Setting up $COMPANY-specific makefiles
   cp -R $COMPANY/staging/* $MAKEFILEDIR || echo \ \ \ \ Error copying makefiles